Bug 1087971 (CVE-2014-2894) - CVE-2014-2894 QEMU: out of bounds buffer accesses, guest triggerable via IDE SMART
Summary: CVE-2014-2894 QEMU: out of bounds buffer accesses, guest triggerable via IDE ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-2894
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1087978 1087979 1087980 1087981 1093612 1102579 1102580 1110194 1110284 1110288
Blocks: 1087775 1093616 1110626
TreeView+ depends on / blocked
 
Reported: 2014-04-15 18:13 UTC by Prasad J Pandit
Modified: 2021-02-17 06:39 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-02 15:42:52 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0674 0 normal SHIPPED_LIVE Moderate: rhev-hypervisor6 3.4.0 security, bug fix, and enhancement update 2014-06-09 18:35:12 UTC
Red Hat Product Errata RHSA-2014:0704 0 normal SHIPPED_LIVE Moderate: qemu-kvm security and bug fix update 2014-06-10 16:34:02 UTC
Red Hat Product Errata RHSA-2014:0743 0 normal SHIPPED_LIVE Moderate: qemu-kvm security and bug fix update 2014-06-11 00:14:13 UTC
Red Hat Product Errata RHSA-2014:0744 0 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-06-11 00:14:07 UTC
Red Hat Product Errata RHSA-2014:0888 0 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-07-24 19:38:25 UTC

Description Prasad J Pandit 2014-04-15 18:13:27 UTC
An out of bounds memory access flaw was found in Qemu's IDE device model.
It leads to Qemu's memory corruption via buffer overwrite(4 bytes). It occurs
while executing IDE SMART commands.

A privileged guest user could use this flaw to corrupt qemu process' memory on the host, which could potentially result in arbitrary code execution on the host with the privileges of the qemu process.

Upstream fix:
-------------
    -> https://lists.nongnu.org/archive/html/qemu-devel/2014-04/msg02016.html

Comment 1 Prasad J Pandit 2014-04-15 18:35:08 UTC
Statement:

This issue does not affect the versions of kvm package as shipped with Red Hat
Enterprise Linux 5.

Comment 3 Prasad J Pandit 2014-04-15 18:38:54 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1087981]

Comment 5 Fedora Update System 2014-05-01 22:27:22 UTC
qemu-1.6.2-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2014-06-09 14:37:48 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0674 https://rhn.redhat.com/errata/RHSA-2014-0674.html

Comment 10 errata-xmlrpc 2014-06-10 12:34:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0704 https://rhn.redhat.com/errata/RHSA-2014-0704.html

Comment 11 errata-xmlrpc 2014-06-10 20:19:24 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0744 https://rhn.redhat.com/errata/RHSA-2014-0744.html

Comment 12 errata-xmlrpc 2014-06-10 20:20:13 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0743 https://rhn.redhat.com/errata/RHSA-2014-0743.html

Comment 16 errata-xmlrpc 2014-07-24 15:39:22 UTC
This issue has been addressed in following products:

  OpenStack 4 for RHEL 6
  OpenStack 3 for RHEL 6

Via RHSA-2014:0888 https://rhn.redhat.com/errata/RHSA-2014-0888.html


Note You need to log in before you can comment on or make changes to this bug.